Class UmlBaseActivity

Declaration :

- C++ : class UmlBaseActivity : public UmlItem
- Java : abstract class UmlBaseActivity extends UmlItem

Directly inherited by : UmlActivity

Artifact : UmlBaseActivity

Operation create

returns a new activity named 's' created under 'parent'
In case it cannot be created (the name is already used or
invalid, 'parent' cannot contain it etc ...) return 0 in C++
and produce a RuntimeException in Java

Declaration :

- Uml : static, + create(inout parent : UmlClassView, inout s : str) : UmlActivity, exceptions : RuntimeException
- C++ : public: static UmlActivity * create(UmlClassView * parent, const char * s)
- Java : public static UmlActivity create(UmlClassView parent, String s) throws RuntimeException

Operation kind

returns the kind of the item

Declaration :

- Uml : + kind() : anItemKind
- C++ : public: virtual anItemKind kind()
- Java : public anItemKind kind()

Operation UmlBaseActivity

the constructor, do not call it yourself !!!!!!!!!!

Declaration :

- Uml : # UmlBaseActivity(in id : item_id, in s : string) :
- C++ : protected: UmlBaseActivity(void * id, const QCString & s) : UmlItem(id, s)
- Java : protected UmlBaseActivity(long id, String s)

Operation preCondition

return the pre condition

Declaration :

- Uml : + preCondition() : string
- C++ : public: const QCString & preCondition()
- Java : public String preCondition()

Operation set_PreCondition

set the pre condition
On error return FALSE in C++, produce a RuntimeException in Java

Declaration :

- Uml : + set_PreCondition(in v : str) : bool, exceptions : RuntimeException
- C++ : public: bool set_PreCondition(const char * v)
- Java : public void set_PreCondition(String v) throws RuntimeException

Operation postCondition

return the post condition

Declaration :

- Uml : + postCondition() : string
- C++ : public: const QCString & postCondition()
- Java : public String postCondition()

Operation set_PostCondition

set the post condition
On error return FALSE in C++, produce a RuntimeException in Java

Declaration :

- Uml : + set_PostCondition(in v : str) : bool, exceptions : RuntimeException
- C++ : public: bool set_PostCondition(const char * v)
- Java : public void set_PostCondition(String v) throws RuntimeException

Operation cppPreCondition

return the pre condition in C++

Declaration :

- Uml : + cppPreCondition() : string
- C++ : public: const QCString & cppPreCondition()
- Java : public String cppPreCondition()

Operation set_CppPreCondition

set the pre condition in C++
On error return FALSE in C++, produce a RuntimeException in Java

Declaration :

- Uml : + set_CppPreCondition(in v : str) : bool, exceptions : RuntimeException
- C++ : public: bool set_CppPreCondition(const char * v)
- Java : public void set_CppPreCondition(String v) throws RuntimeException

Operation cppPostCondition

return the post condition in C++

Declaration :

- Uml : + cppPostCondition() : string
- C++ : public: const QCString & cppPostCondition()
- Java : public String cppPostCondition()

Operation set_CppPostCondition

set the post condition in C++
On error return FALSE in C++, produce a RuntimeException in Java

Declaration :

- Uml : + set_CppPostCondition(in v : str) : bool, exceptions : RuntimeException
- C++ : public: bool set_CppPostCondition(const char * v)
- Java : public void set_CppPostCondition(String v) throws RuntimeException

Operation javaPreCondition

return the pre condition in Java

Declaration :

- Uml : + javaPreCondition() : string
- C++ : public: const QCString & javaPreCondition()
- Java : public String javaPreCondition()

Operation set_JavaPreCondition

set the pre condition in Java
On error return FALSE in C++, produce a RuntimeException in Java

Declaration :

- Uml : + set_JavaPreCondition(in v : str) : bool, exceptions : RuntimeException
- C++ : public: bool set_JavaPreCondition(const char * v)
- Java : public void set_JavaPreCondition(String v) throws RuntimeException

Operation javaPostCondition

return the post condition in Java

Declaration :

- Uml : + javaPostCondition() : string
- C++ : public: const QCString & javaPostCondition()
- Java : public String javaPostCondition()

Operation set_JavaPostCondition

set the post condition in Java
On error return FALSE in C++, produce a RuntimeException in Java

Declaration :

- Uml : + set_JavaPostCondition(in v : str) : bool, exceptions : RuntimeException
- C++ : public: bool set_JavaPostCondition(const char * v)
- Java : public void set_JavaPostCondition(String v) throws RuntimeException

Operation constraint

return the constraint

Declaration :

- Uml : + constraint() : string
- C++ : public: const QCString & constraint()
- Java : public String constraint()

Operation set_Constraint

set the constraint
On error return FALSE in C++, produce a RuntimeException in Java

Declaration :

- Uml : + set_Constraint(in v : str) : bool, exceptions : RuntimeException
- C++ : public: bool set_Constraint(const char * v)
- Java : public void set_Constraint(String v) throws RuntimeException

Operation isReadOnly

return the isReadOnly attribute, if TRUE the activity must not made any changes to variables ouside the activity or to objects.

Declaration :

- Uml : + isReadOnly() : bool
- C++ : public: bool isReadOnly()
- Java : public boolean isReadOnly()

Operation set_isReadOnly

set the isReadOnly attribute
On error return FALSE in C++, produce a RuntimeException in Java

Declaration :

- Uml : + set_isReadOnly(in v : bool) : bool, exceptions : RuntimeException
- C++ : public: bool set_isReadOnly(bool v)
- Java : public void set_isReadOnly(boolean v) throws RuntimeException

Operation isSingleExecution

return the isSingleExecution attribute, if TRUE all invocations of the activity are handle by the same execution

Declaration :

- Uml : + isSingleExecution() : bool
- C++ : public: bool isSingleExecution()
- Java : public boolean isSingleExecution()

Operation set_isSingleExecution

set the isSingleExecution attribute
On error return FALSE in C++, produce a RuntimeException in Java

Declaration :

- Uml : + set_isSingleExecution(in v : bool) : bool, exceptions : RuntimeException
- C++ : public: bool set_isSingleExecution(bool v)
- Java : public void set_isSingleExecution(boolean v) throws RuntimeException

Operation isActive

return the indicate if the class is active

Declaration :

- Uml : + isActive() : bool
- C++ : public: bool isActive()
- Java : public boolean isActive()

Operation set_isActive

set if the class is active
On error return FALSE in C++, produce a RuntimeException in Java

Declaration :

- Uml : + set_isActive(in v : bool) : bool, exceptions : RuntimeException
- C++ : public: bool set_isActive(bool v)
- Java : public void set_isActive(boolean v) throws RuntimeException

Operation specification

return the specification

Declaration :

- Uml : + specification() : UmlOperation
- C++ : public: UmlOperation * specification()
- Java : public UmlOperation specification()

Operation set_Specification

set the specification
On error return FALSE in C++, produce a RuntimeException in Java

Declaration :

- Uml : + set_Specification(in v : UmlOperation) : bool, exceptions : RuntimeException
- C++ : public: bool set_Specification(UmlOperation * v)
- Java : public void set_Specification(UmlOperation v) throws RuntimeException

Operation associatedDiagram

returns the optional associated diagram

Declaration :

- Uml : + associatedDiagram() : UmlActivityDiagram
- C++ : public: UmlActivityDiagram * associatedDiagram()
- Java : public UmlActivityDiagram associatedDiagram()

Operation set_AssociatedDiagram

sets the associated diagram, arg may be null to unset it
On error return FALSE in C++, produce a RuntimeException in Java

Declaration :

- Uml : + set_AssociatedDiagram(in d : UmlActivityDiagram) : bool, exceptions : RuntimeException
- C++ : public: bool set_AssociatedDiagram(UmlActivityDiagram * d)
- Java : public void set_AssociatedDiagram(UmlActivityDiagram d) throws RuntimeException

Operation unload

to unload the object to free memory, it will be reloaded automatically
if needed. Recursively done for the sub items if 'rec' is TRUE.
if 'del' is true the sub items are deleted in C++, and removed from the
internal dictionnary in C++ and Java (to allow it to be garbaged),
you will have to call Children() to re-access to them

Declaration :

- Uml : + unload(in rec : bool, in del : bool) : void
- C++ : public: virtual void unload(bool = FALSE, bool = FALSE)
- Java : public void unload(boolean rec, boolean del)

Attribute _pre_condition

Declaration :

- Uml : - _pre_condition : string
- C++ : private: QCString _pre_condition
- Java : private String _pre_condition

Attribute _post_condition

Declaration :

- Uml : - _post_condition : string
- C++ : private: QCString _post_condition
- Java : private String _post_condition

Attribute _cpp_pre_condition

Declaration :

- Uml : - _cpp_pre_condition : string
- C++ : private: QCString _cpp_pre_condition
- Java : private String _cpp_pre_condition

Attribute _cpp_post_condition

Declaration :

- Uml : - _cpp_post_condition : string
- C++ : private: QCString _cpp_post_condition
- Java : private String _cpp_post_condition

Attribute _java_pre_condition

Declaration :

- Uml : - _java_pre_condition : string
- C++ : private: QCString _java_pre_condition
- Java : private String _java_pre_condition

Attribute _java_post_condition

Declaration :

- Uml : - _java_post_condition : string
- C++ : private: QCString _java_post_condition
- Java : private String _java_post_condition

Attribute _constraint

Declaration :

- Uml : - _constraint : string
- C++ : private: QCString _constraint
- Java : private String _constraint

Attribute _read_only

Declaration :

- Uml : - _read_only : bool
- C++ : private: bool _read_only
- Java : private boolean _read_only

Attribute _single_execution

Declaration :

- Uml : - _single_execution : bool
- C++ : private: bool _single_execution
- Java : private boolean _single_execution

Attribute _active

Declaration :

- Uml : - _active : bool
- C++ : private: bool _active
- Java : private boolean _active

Relation _specification (<unidirectional association>)

Declaration :

- Uml : - _specification : UmlOperation
- C++ : private: UmlOperation * _specification
- Java : private UmlOperation _specification

Relation _assoc_diagram (<unidirectional association>)

Declaration :

- Uml : - _assoc_diagram : UmlActivityDiagram
- C++ : private: UmlActivityDiagram * _assoc_diagram
- Java : private UmlActivityDiagram _assoc_diagram

Operation read_uml_

Declaration :

- Uml : # read_uml_() : void
- C++ : protected: virtual void read_uml_()
- Java : protected void read_uml_()

Operation read_cpp_

Declaration :

- Uml : # read_cpp_() : void
- C++ : protected: virtual void read_cpp_()
- Java : protected void read_cpp_()

Operation read_java_

Declaration :

- Uml : # read_java_() : void
- C++ : protected: virtual void read_java_()
- Java : protected void read_java_()

All public operations : apply , applyStereotype , associatedDiagram , children , childrenVisible , constraint , cppPostCondition , cppPreCondition , create , defined_ , deleteIt , description , getIdentifier , identifier_ , isActive , isMarked , isReadOnly , isSingleExecution , isToolRunning , isWritable , javaPostCondition , javaPreCondition , kind , kind , markedItems , moveAfter , name , parent , postCondition , preCondition , properties , propertyValue , referencedBy , set_AssociatedDiagram , set_childrenVisible , set_Constraint , set_CppPostCondition , set_CppPreCondition , set_Description , set_isActive , set_isMarked , set_isReadOnly , set_isSingleExecution , set_JavaPostCondition , set_JavaPreCondition , set_Name , set_PostCondition , set_PreCondition , set_PropertyValue , set_Specification , set_Stereotype , specification , stereotype , supportFile , unload , unload